﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Emgu.CV;
using Emgu.CV.CvEnum;
using Emgu.CV.UI;
using Emgu.CV.Structure;
using System.Drawing;
using System.Diagnostics;
using System.Windows.Forms;

namespace EmguCvSurface
{
    class Program
    {
        static MCvFont font = new MCvFont(Emgu.CV.CvEnum.FONT.CV_FONT_HERSHEY_SIMPLEX, 1.0, 1.0);

        static void Main(string[] args)
        {
            ImageViewer viewer = new ImageViewer() { Text = "Samsung SUR40 Raw Image" };
            // surface raw image size is 960x540
            viewer.Width = 960;
            viewer.Height = 540 + SystemInformation.CaptionHeight;            

            SurfaceCapture surfaceCapture = new SurfaceCapture();
            surfaceCapture.Image += (s, e) =>
            {                  
                e.Image.Draw(
                    string.Format("{0:00.00} Hz | {1}x{2} px", surfaceCapture.FrameRate, e.Image.Width, e.Image.Height), ref font, new Point(5, 30), new Gray(255));
                viewer.Image = e.Image;                                         
            };
                   
            viewer.ShowDialog();            
        }        
    }
}
